export = resolver;
/**
 * @typedef {{
 * basedir: string;
 * conditions?: Array<string>;
 * defaultResolver: (path: string, options: ResolverOptions) => string;
 * extensions?: Array<string>;
 * moduleDirectory?: Array<string>;
 * paths?: Array<string>;
 * packageFilter?: (pkg: any, file: string, dir: string) => any;
 * pathFilter?: (pkg: any, path: string, relativePath: string) => string;
 * rootDir?: string;
 * }} ResolverOptions
 * */
/** @type {(path: string, options: ResolverOptions) => string} */
declare function resolver(module: string, options: ResolverOptions): string;
declare namespace resolver {
    export { ResolverOptions };
}
type ResolverOptions = {
    basedir: string;
    conditions?: Array<string>;
    defaultResolver: (path: string, options: ResolverOptions) => string;
    extensions?: Array<string>;
    moduleDirectory?: Array<string>;
    paths?: Array<string>;
    packageFilter?: (pkg: any, file: string, dir: string) => any;
    pathFilter?: (pkg: any, path: string, relativePath: string) => string;
    rootDir?: string;
};
