declare type Definition = {
    /** The path of the destination file */
    file: string;
    /** The text at definition destination */
    text: string;
    /** inclusive */
    start: {
        /** line, 1-based */
        line: number;
        /** column, 1-based */
        offset: number;
    };
    /** exclusive */
    end: {
        /** line, 1-based */
        line: number;
        /** column, 1-based */
        offset: number;
    };
};
export declare function createTSServer(): Promise<{
    getIdentifierDefinitions(filePath: string, identifier: string): Promise<Definition[]>;
    getMultipleIdentifierDefinitions(filePath: string, identifiers: string[]): Promise<{
        identifier: string;
        definitions: Definition[];
    }[]>;
    getModuleDefinitions(filePath: string): Promise<Definition[]>;
    refreshCache(): Promise<void>;
    exit: () => Promise<void>;
}>;
export {};
