import { type Root, type Rule, type AtRule, type Declaration } from 'postcss';
import { type ClassName } from 'postcss-selector-parser';
import { type Token, type Location } from '../locator/index.js';
export declare const FIXTURE_DIR_PATH: string;
export declare function createRoot(code: string, from?: string): Root;
export declare function createAtImports(root: Root): AtRule[];
export declare function createClassSelectors(root: Root): {
    rule: Rule;
    classSelector: ClassName;
}[];
export declare function createComposesDeclarations(root: Root): Declaration[];
export declare function fakeToken(args: {
    name: Token['name'];
    originalLocations: {
        filePath?: Location['filePath'];
        start?: Location['start'];
    }[];
}): Token;
export declare function waitForAsyncTask(ms?: number): Promise<void>;
export declare function exists(path: string): Promise<boolean>;
declare type File = string;
declare type DirectoryItem = File | DirectoryItems;
declare type DirectoryItems = {
    [name: string]: DirectoryItem;
};
export declare function createFixtures(items: DirectoryItems): void;
export declare function removeFixtures(): void;
export declare function getFixturePath(path: string): string;
export {};
