// NOTE: The workaround for using sass's modern API. happy-css-modules used to use this API.
// However, due to the implementation of custom resolvers, we have switched to the legacy API.
// Therefore, the workaround is now disabled. See
// https://github.com/mizdra/happy-css-modules/issues/65#issuecomment-1229471950 for more information.
import { handleImportError } from './index.js';
// For some reason, `util.promisify` does not work. Therefore, use the original promisify.
function promisifySassRender(sass) {
    return async (options) => {
        return new Promise((resolve, reject) => {
            sass.render(options, (exception, result) => {
                if (exception)
                    reject(exception);
                else
                    resolve(result);
            });
        });
    };
}
export const createScssTransformer = () => {
    let sass;
    return async (source, options) => {
        sass ??= (await import('sass').catch(handleImportError('sass'))).default;
        const render = promisifySassRender(sass);
        const result = await render({
            data: source,
            file: options.from,
            outFile: 'DUMMY',
            sourceMap: true,
            importer: (url, prev, done) => {
                options
                    .resolver(url, { request: prev })
                    .then((resolved) => done({ file: resolved }))
                    .catch((e) => done(e));
            },
        });
        return { css: result.css.toString(), map: result.map.toString(), dependencies: result.stats.includedFiles };
    };
};
//# sourceMappingURL=scss-transformer.js.map