/**
 * The SystemError type of Node.js.
 * @see https://nodejs.org/api/errors.html#class-systemerror
 */
export interface SystemError {
    code: string;
}
export declare function isSystemError(value: unknown): value is SystemError;
export declare function isObject(value: unknown): value is object;
export declare function hasProp<T extends string>(obj: object, prop: T): obj is {
    [key in T]: unknown;
};
export declare function unique<T>(array: T[]): T[];
export declare function uniqueBy<T, U>(arr: T[], fn: (el: T) => U): T[];
export declare function sleepSync(ms: number): void;
export declare function exists(path: string): Promise<boolean>;
export declare function isMatchByGlob(filePath: string, pattern: string, options: {
    cwd: string;
}): boolean;
export declare function getPackageJson(): any;
export declare function getInstalledPeerDependencies(): Promise<string[]>;
